Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě čte: 4673 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum

NápovědaCAD diskuze

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit a dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoVstupní položkové pole

 Odpovědět Odpovědět archiv
Autor
Carodej2 Zobrazit panel
Zasloužilý člen
Zasloužilý člen
Avatar

Přihlášen: 16.bře.2011
Lokalita: ČR (ZL)
Používám:
Inventor 2014
Stav: Offline
Bodů: 117
Přímý odkaz na tuto zprávu Téma: Vstupní položkové pole
    Zasláno: 19.čer.2014 v 15:03
Dobrý den,

můžu poprosit o ukázku Vstupního položkového pole (InputListBox). Nevím jak si navolit parametry pro výběr.

Díky.


J.B.
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio a.s.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 825
Přímý odkaz na tuto zprávu Zasláno: 19.čer.2014 v 21:10
Buď se dá použít výchozí ukázka s použitím parametru (předpokládá se existence parametru s názvem Values s více hodnotami),
result = InputListBox("Select one item", MultiValue.List("Values"),  Values, Title := "Dialog Title", ListName := "Values list")
MsgBox(result)
Values = result
 nebo si navolit vlastní seznam hodnot
result = InputListBox("Select one item",New String(){"a","b"}, "a", Title := "Dialog Title", ListName := "Values list")
MsgBox(result)
 


Upravil Navara - 19.čer.2014 v 21:19
Zpět nahoru
Carodej2 Zobrazit panel
Zasloužilý člen
Zasloužilý člen
Avatar

Přihlášen: 16.bře.2011
Lokalita: ČR (ZL)
Používám:
Inventor 2014
Stav: Offline
Bodů: 117
Přímý odkaz na tuto zprávu Zasláno: 20.čer.2014 v 09:27
Ještě bych potřeboval ukázku, jak si navolím (určím) parametry "a" a "b". Můžete mi to ukázat třeba na příkladu orientace výkresu (ThisApplication.ActiveDocument.ActiveSheet.Orientation = kLandscapePageOrientation).

A ještě bych měl jednu prosbu. Dá se u okna InputRadioBox (vstupní pole s přepínači) nadefinovat ukončovací křížek (viz. obr.). Kliknutí na křížek se chová jako kliknutí na tlačítko ok (nezruší, ale potvrdí).


Připojené náhledyPřihlaste se pro zobrazení plné verze - 31992/Vstupní_Okno.JPG



Díky.
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio a.s.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 825
Přímý odkaz na tuto zprávu Zasláno: 20.čer.2014 v 10:06

Snad vám to pomůže...

Dim currentOrientation = ThisDrawing.ActiveSheet.Sheet.Orientation
Dim orientations As String() = [Enum].GetNames(currentOrientation.GetType())
Dim newOrientation = InputListBox("Select orientation for active sheet", orientations, currentOrientation, "Sheet orientation", "Select orientation")
ThisDrawing.ActiveSheet.Sheet.Orientation = [Enum].Parse(currentOrientation.GetType(), newOrientation)
 
To předefinování křížku nejde.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 10704:VIPChyba instalace: Vstupní bod procedury ucrtbase.terminate nenalezen
Tip 10706:VIPInventor: Vstupní bod procedury __crtCreateSymbolicLinkW nebyl nalezen
Tip 8588:Chyba 3ds Max - Vstupní bod nebyl nalezen - AcGe16.dll
Tip 2945:Chyba vstupního bodu souboru acutil15.dll
Tip 2653:Chyba: nenalezen vstupní bod procedury v UTX.DLL
Tip 10171:Generování budov s dvorky v Infraworks.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,219 sekund.